%global product_family Red Hat Enterprise Virtualization Hypervisor
%global product_release 6.5 (0)
%global mgmt_scripts_dir %{_sysconfdir}/node.d
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib())")}
%define is_f16 %(test "0%{?fedora}" == "016" && echo 1 || echo 0)
%define is_min_f19 %(test "0%{?fedora}" -ge "019" && echo 1 || echo 0)
%define is_fedora_systemd %(test 0%{?fedora} -ne 0 && test %{?fedora} -ge 16 && echo 1 || echo 0)
%define is_rhel_systemd %(test 0%{?rhel} -ne 0 && test %{?rhel} -ge 7 && echo 1 || echo 0)
%define is_centos_systemd %(test 0%{?centos} -ne 0 && test %{?centos} -ge 7 && echo 1 || echo 0)
%define is_systemd %( test %{is_rhel_systemd} -eq 1 || test %{is_centos_systemd} = 1 || test %{is_fedora_systemd} = 1 && echo 1 || echo 0)
%define dracutdir %(test -e /usr/share/dracut && echo "/usr/share/dracut/modules.d" || echo "/usr/lib/dracut/modules.d")
%define is_el6 %(test 0%{?centos} -eq 06 || test 0%{?rhel} -eq 06 && echo 1 || echo 0)
%global rhevh_build 18
%global extra_release .1

Summary:        The %{product_family} daemons/scripts
Name:           ovirt-node
Version:        3.0.1
Release:        %{rhevh_build}%{?dist}%{?extra_release}
Source0:        %{name}-%{version}.tar.gz
Source1:        rhev-syslinux-vesa-splash.png

#Patches
Patch0:     0000-add-input.py.patch
Patch1:     0001-RHEVH-ONLY-bump-release-for-jenkins-compat.patch
Patch2:     0002-RHEV-H-ONLY-keep-ROOT-size-at-256MB.patch
Patch3:     0003-RHEVH-ONLY-paint-it-red-New-TUI.patch
Patch4:     0004-ovirt-node-upgrade-prevent-multiple-runs-after-a-suc.patch
Patch5:     0005-fix-grub-device.map-for-iscsi-installion.patch
Patch6:     0006-compile-augeas-module.patch
Patch7:     0007-add-rhn-plugin.patch
Patch8:     0008-Fix-auto-install-with-storage_init-dev-sda-dev-sda-f.patch
Patch9:     0009-ssh-Show-consistent-transaction.patch
Patch10:    0010-Miss-o-loop-for-squashfs.img-ext3fs.img-mounted.patch
Patch11:    0011-network-Remove-outdated-servers.patch
Patch12:    0012-installer-Fix-password-page.patch
Patch13:    0013-net-Configured-if-IPv6-or-IPv4-cfg-is-present.patch
Patch14:    0014-lib-Solve-conflicting-names.patch
Patch15:    0015-don-t-remove-hdparm.patch
Patch16:    0016-ui-Only-fully-populate-the-primary-NIC.patch
Patch17:    0017-Make-sure-we-don-t-reuse-Augeas-objects-in-ovirt.nod.patch
Patch18:    0018-Fix-bond-named-issue.patch
Patch19:    0019-add-usr-share-snmp-mibs-to-rwtab.patch
Patch20:    0020-installer-Fix-EFI-boot-entry-removal.patch
Patch21:    0021-remove-existing-efi-entries-when-uninstall-rhev-h-in.patch
Patch22:    0022-Fix-EFI-boot-entry-shown-fedora-issue.patch
Patch23:    0023-Create-a-basic-plugin-for-IPMI-enablement.patch
Patch24:    0024-Create-ipmi-plugin-package.patch
Patch25:    0025-Add-some-extra-parameters-for-autoinstall.patch
Patch26:    0026-init-Add-support-for-some-cmdline-args.patch
Patch27:    0027-urwid-Add-attr-to-footer.patch
Patch28:    0028-ui-Add-security-check-to-ConfirmedEntry.patch
Patch29:    0029-Fix-sys.stdin.encoding-return-None-issue.patch
Patch30:    0030-process-Raise-an-error-for-a-known-problem.patch
Patch31:    0031-Check-if-shell-in-kwargs-is-actually-true-instead-of.patch
Patch32:    0032-process-pipe-can-raise-exception.patch
Patch33:    0033-ui-Rework-validation-and-exception-handling.patch
Patch34:    0034-installer-Add-traceback-for-exceptions-in-thread.patch
Patch35:    0035-installer-Fix-stderr-capturing.patch
Patch36:    0036-installer-Fix-password-page.patch
Patch37:    0037-rhn-add-try-except-around-sam-check.patch
Patch38:    0038-firewall-Fix-plain-iptables-logic.patch
Patch39:    0039-bonding-Prevent-initial-bond0-creation.patch
Patch40:    0040-log-Add-a-log-module.patch
Patch41:    0041-add-ovirt-node-log.py-to-makefile.patch
Patch42:    0042-log-Workaround-missing-getChild-in-python-2.6.patch
Patch43:    0043-Make-less-work-properly.patch
Patch44:    0044-fix-lldpad-service-startup.patch
Patch45:    0045-ui-Change-disabled-color-to-red.patch
Patch46:    0046-installer-Use-button-for-custom-devices.patch
Patch47:    0047-urwid-Only-show-Label-if-table-label-is-given.patch
Patch48:    0048-ui-No-on_change-on-Table-multi-focus-change.patch
Patch49:    0049-kdump-Remove-unneeded-and-removed-validation.patch
Patch50:    0050-Set-UTF-8-encoding-on-process.pipe-as-well-for-Py-2..patch
Patch51:    0051-RHEV-H-ONLY-correct-boot-menu-options-due-to-livecd-.patch
Patch52:    0052-network-Only-update-DNS-config-not-everything.patch
Patch53:    0053-recipe-Don-t-mount-tmpfs-on-live.patch
Patch54:    0054-Pre-compile-plugin-Python-files-so-they-don-t-get-st.patch
Patch55:    0055-add-missing-uidmod-gidmod-option-to-edit-node-man-pa.patch
Patch56:    0056-Set-correct-title-for-transaction.patch
Patch57:    0057-Fix-rhn-page-missing-refresh-issue.patch
Patch58:    0058-Fix-find_disk-return-value-issue.patch
Patch59:    0059-logging-Don-t-overwrite-existing-configurations.patch
Patch60:    0060-tools-Fix-logger-configuration.patch
Patch61:    0061-tools-Enhance-password-tool-usability.patch
Patch62:    0062-progress_page-fix-missed-persist-etc-vconsole.conf-a.patch
Patch63:    0063-edit-node-Fix-manpage-typo.patch
Patch64:    0064-fix-storage-logging-typo.patch
Patch65:    0065-Let-data-size-be-specified-as-1.patch
Patch66:    0066-fix-tui-upgrade-typo.patch
Patch67:    0067-Block-IPv6-for-services-which-don-t-support-it.patch
Patch68:    0068-Add-SetKeyboardLayout-action-in-upgrade-progess.patch
Patch69:    0069-Fix-upgrade-admin-password-failed-issue.patch
Patch70:    0070-Don-t-start-netconsole-by-default.patch
Patch71:    0071-Puppet-plugin-patch-the-right-file-on-EL6.patch
Patch72:    0072-Puppet-plugin-fix-the-require-in-operatingsystem.rb.patch
Patch73:    0073-Puppet-plugin-return-a-more-explicit-operatingsystem.patch
Patch74:    0074-Puppet-plugin-leave-server-and-certname-commented-by.patch
Patch75:    0075-add-shell-option-to-edit-node.patch
Patch76:    0076-rpcbind-Make-var-cache-rpcbind-writeable.patch
Patch77:    0077-shorten-grub-efi-menu-to-under-54-characters-to-prev.patch
Patch78:    0078-Disable-the-TUI-in-rescue-mode.patch
Patch79:    0079-Create-buttons-later-in-ConfirmedDialog-so-users-can.patch
Patch80:    0080-Show-a-dialog-before-entering-the-rescue-console.patch
Patch81:    0081-Install-splash.xpm-in-the-right-location-on-iSCSI-in.patch
Patch82:    0082-install-Make-find-Boot-disk-a-bit-more-strict.patch
Patch83:    0083-puppet-Persist-puppet.conf-when-it-get-s-changed.patch
Patch84:    0084-update-syslinux-detection-paths.patch
Patch85:    0085-Fix-always-use-the-first-one-of-the-disk-list-as-boo.patch
Patch86:    0086-set-iscsi-initiator-name-before-connecting-during-is.patch
Patch87:    0087-Don-t-let-transactions-run-on-unlock-errs.patch
Patch88:    0088-log-Fix-log-config.patch
Patch89:    0089-EFI-boot-fix-grub-config-filename-suffix-issue.patch
Patch90:    0090-storage_vol_page-Disable-accpet-0-for-swap-and-loggi.patch
Patch91:    0091-Disabled-accept-integer-as-ipv4-Netmask.patch
Patch92:    0092-network-Fix-valid-bond-name-description.patch
Patch93:    0093-app-Always-log-the-current-page.patch
Patch94:    0094-defaults-Set-sane-bond-options.patch
Patch95:    0095-defaults-Add-default-bond-option.patch
Patch96:    0096-Validate-sizes-on-storage-installer-page-and-calcula.patch
Patch97:    0097-set-ip-configuration-correctly-for-iscsi-root-when-u.patch
Patch98:    0098-ipmi-Add-OpenIPMI-Requires-and-start-ipmi-service.patch
Patch99:    0099-Manually-set-a-GID-for-CIM.patch
Patch100:   0100-edit-node-correctly-display-installed-plugins.patch
Patch101:   0101-kdump_page-Catch-KeyboardInterrupt-when-inputting-Ct.patch
Patch102:   0102-Tweak-puppet-autoinstall.patch
Patch103:   0103-Fix-Error-2-No-such-file-or-directory-issue-when-set.patch
Patch104:   0104-Make-auto-install-work-for-with-RHN.patch
Patch105:   0105-RHEVH-ONLY-spec-Add-virt-who-to-rhn-plugin.patch
Patch106:   0106-ui-Close-F2-confirmation-dialig.patch
Patch107:   0107-nfs-nfsidmap-c-is-not-fatal.patch
Patch108:   0108-New-validation-model-should-invalidate-on-custom-plu.patch
Patch109:   0109-Don-t-strip-the-CIM-page-either.patch
Patch110:   0110-installer-Fix-data-size.patch
Patch111:   0111-init-Fix-link-detection-for-auto-installation.patch
Patch112:   0112-Fix-typo-in-RHN-autoinstall.patch
Patch113:   0113-iscsi_install-create-appvg-if-options-are-provided.patch
Patch114:   0114-Fix-some-issue-during-create-BootBackup.patch
Patch115:   0115-init-Add-support-for-logrotate_max_size-cmdline-args.patch
Patch116:   0116-installer-Fix-custom-device-dialog.patch
Patch117:   0117-Use-python-to-run-py-hooks.patch
Patch118:   0118-Unset-the-NFSv4-domain-in-idmapd.conf-when-it-s-unse.patch
Patch119:   0119-change-rd.iscsi.initiator-to-iscsi_initiator-to-fix-.patch
Patch120:   0120-system-Log-failing-services-silently.patch
Patch121:   0121-remove-extra-nomodeset-boot-args-from-isolinux.cfg.patch
Patch122:   0122-Restore-the-values-in-etc-default-ovirt-when-kdump-c.patch
Patch123:   0123-bond-Solve-conflicting-names.patch
Patch124:   0124-Fix-clear-etc-puppet-puppet.conf-issue.patch
Patch125:   0125-Fix-groupadd-cim-failed-issue.patch
Patch126:   0126-puppet-add-disable_puppet-function-into-puppet_page.patch
Patch127:   0127-Fix-TypeError-The-type-type-bool-of-OVIRT_PUPPET_ENA.patch
Patch128:   0128-update-ovirt-node-logrotate-file-syntax-on-upgrades.patch
Patch129:   0129-SNMP-minimizer-fixes.patch
Patch130:   0130-efi-upgrade-fix-miss-the-backup-version-in-grub.patch
Patch131:   0131-Add-missing-shell-option-to-edit-node-man-page.patch
Patch132:   0132-rhn-dont-use-autosubscribe-with-activation-keys.patch
Patch133:   0133-Let-edit-node-install-multiple-packages.patch
Patch134:   0134-Fix-efi-on-iscsi-support.patch
Patch135:   0135-fix-iscsi-upgrades.patch
Patch136:   0136-kdump-copy-kernel-from-boot-for-iscsi-installs.patch
Patch137:   0137-Show-version-in-login-prompt.patch
Patch138:   0138-enhance-edit-node-man-page-for-uid-gid-options-help-.patch
Patch139:   0139-edit-node-Support-specify-multiple-users-uid-gid-ele.patch
Patch140:   0140-rhn_page-setup-rhn-plugin-as-last-page-of-setup-menu.patch
Patch141:   0141-Clear-KDump-related-fields-if-not-relevant-to-the-se.patch
Patch142:   0142-Show-a-confirmation-dialog-if-the-network-is-already.patch
Patch143:   0143-network_page-fix-always-prompt-no-changes-nothing-to.patch
Patch144:   0144-SNMP-Require-net-snmp-utils.patch
Patch145:   0145-SNMP-Make-the-SNMP-plugin-work-on-newer-distros.patch
Patch146:   0146-edit-node-need-get-the-basename-of-install-plugin-pk.patch
Patch147:   0147-Add-if-statement-to-avoid-duplicate-elements-in-func.patch
Patch148:   0148-RHEV-H-ONLY-Take-version-from-system-release.patch
Patch149:   0149-Basic-sanity-checking-for-user-input-to-edit-node.patch
Patch150:   0150-RHN-CA-URL-disable-accept-an-empty-string.patch
Patch151:   0151-Profile-name-only-accept-an-empty-string-or-at-least.patch
Patch152:   0152-Fix-missed-proxy-server-port-info-in-TUI-issue.patch
Patch153:   0153-Fix-missed-rhn.ca-info-in-TUI-issue.patch
Patch154:   0154-add-xhci-hdd-module-to-initrd.patch
Patch155:   0155-rhn-decrease-rhn-page-load-time-using-offline-sam-ch.patch
Patch156:   0156-update-dracut-module-patches-in-ovirt-node-post.patch
Patch157:   0157-installer-Fix-multipath-device-detection.patch
Patch158:   0158-recipe-Keep-i2c-as-some-modules-require-it.patch
Patch159:   0159-Disable-multipath-for-install-but-leave-it-otherwise.patch
Patch160:   0160-process-Add-a-masking-log.patch
Patch161:   0161-Clean-up-kdump-page.patch
Patch162:   0162-RHN-plugin-should-own-its-own-compiled-Python-files.patch
Patch163:   0163-Make-sure-plugin-autoinstall-files-stay-in-their-pac.patch
Patch164:   0164-support-flash-lights-to-identify-which-nics-belong-t.patch
Patch165:   0165-Validate-Other-Device-against-live-device.patch
Patch166:   0166-Add-utils.system.Bootloader.patch
Patch167:   0167-config-Improve-resolv.conf-comment.patch
Patch168:   0168-add-fallback-method-for-older-udev-version-for-nic-v.patch
Patch169:   0169-setup-Only-add-journalctl-if-available.patch
Patch170:   0170-setup-Adjust-ovirt-node.log-path.patch
Patch171:   0171-Make-Entry-fields-scroll-when-input-exceeds-max-colu.patch
Patch172:   0172-valid-Don-t-allow-leading-zeros-for-numbers.patch
Patch173:   0173-Edit-node-cleanup-remove-duplicate-code-paths.patch
Patch174:   0174-Show-infinity-instead-of-None-for-bounds-in-valid.Nu.patch
Patch175:   0175-cim-disable-cim-transaction-run-without-a-password.patch
Patch176:   0176-installer-make-sure-data-size-could-be-setup-0.patch
Patch177:   0177-Don-t-show-output-from-ipmitool-check-status.patch
Patch178:   0178-edit-node-Do-not-change-iso-file-name-when-using-wit.patch
Patch179:   0179-Make-IQN-validator-abide-by-RFC3271.patch
Patch180:   0180-Capitalize-the-header-of-the-tuned-page.patch
Patch181:   0181-init-Symlink-kernel-into-boot-for-libguestfs.patch
Patch182:   0182-installer-Improve-storage-loading-time.patch
Patch183:   0183-Clear-the-storage-volume-page-when-free-space-is-pos.patch
Patch184:   0184-Fix-plugin-info-shown-incorrectly-issue-when-install.patch
Patch185:   0185-edit-node-rename-iso_name-more-simpler-when-install-.patch
Patch186:   0186-snmp-disable-snmp-transaction-run-without-a-password.patch
Patch187:   0187-Fix-only-calculate-one-disk-driver-size-issue.patch
Patch188:   0188-installer-Fix-data-size-again.patch
Patch189:   0189-rhn-Shown-profile-name-in-tui.patch
Patch190:   0190-Stop-the-RHN-autoinstaller-from-running-unless-it-ha.patch
Patch191:   0191-Let-applications-specify-their-own-quit-function.patch
Patch192:   0192-Puppet-autoinstall-should-actually-write-puppet.conf.patch
Patch193:   0193-write-splash.xpm-into-grub.conf-on-the-right-locatio.patch
Patch194:   0194-Show-a-confirmation-dialog-when-exiting-the-TUI.patch
Patch195:   0195-Show-a-confirmation-in-the-installer-if-Quit-is-sele.patch
Patch196:   0196-Flag-the-appropriate-kdump-field-if-empty.patch
Patch197:   0197-tuned-Capture-service-output.patch
Patch198:   0198-copy-grub.efi-variant-from-proper-directory.patch
Patch199:   0199-disable-core-kdump-service-for-use-with-ovirt-kdump-.patch
Patch200:   0200-Fix-missing-data-in-upgrade.patch
Patch201:   0201-Revert-Flag-the-appropriate-kdump-field-if-empty.patch
Patch202:   0202-Bond-slaves-aren-t-optional.patch
Patch203:   0203-Tweak-the-upgrade-page.patch
Patch204:   0204-Using-system.service-to-check-netconsole-restart-sta.patch
Patch205:   0205-urwid-Compensate-different-indent-in-multi-table.patch
Patch206:   0206-installer-Trim-excessive-device-informations.patch
Patch207:   0207-Disabled-NFSv4-Domain-configuration-when-the-network.patch
Patch208:   0208-update-rhsm-proxy-config-paramenter-names-for-sam-re.patch
Patch209:   0209-network-Allow-IPv6-only-with-VLANID.patch
Patch210:   0210-network-Independent-IPv4-and-IPv6-configuration.patch
Patch211:   0211-Fix-devpath-and-lspci-parsing.patch
Patch212:   0212-Add-config-keys-to-exchange-management-infos.patch
Patch213:   0213-init-Support-BOOTIF-bond.patch
Patch214:   0214-rhn_autoinstal-fix-KeyError-password-issue.patch
Patch215:   0215-Fix-reboot-loops-occuring-from-persisted-root-cronta.patch
Patch216:   0216-Add-if-is_auto_install-statement.patch
Patch217:   0217-init-Add-breakpoints-around-installer.patch
Patch218:   0218-installer-Add-translate_device_name.patch
Patch219:   0219-installer-Fix-custom-device-installation.patch
Patch220:   0220-Fix-the-Validator-for-URL-issue.patch
Patch221:   0221-RHEVH-ONLY-rhn-Fix-validator.patch
Patch222:   0222-RHEVH-ONLY-rhn-Relax-RHN-validators.patch
Patch223:   0223-setup-Network-is-configured-if-management-nic-set.patch
Patch224:   0224-Migrate-settings-on-upgrade.patch
Patch225:   0225-migration-Also-cover-RHEV-M-and-more-net.patch
Patch226:   0226-ovirt-node-upgrade-reload-ovirtfunctions-modules-fro.patch
Patch227:   0227-dont-configure-networking-on-live-iscsi-upgrades.patch
Patch228:   0228-migrate-VLAN-was-detected-incorrectly.patch
Patch229:   0229-Migrate-settings-on-cmdline-upgrade.patch
Patch230:   0230-puppet-Correct-defaults.patch
Patch231:   0231-spec-Add-lost-puppet-scriplet.patch
Patch232:   0232-migrate-Fix-VLAN-migration-and-RHEV-M.patch
Patch233:   0233-migration-Move-migration-script-to-boot.patch
Patch234:   0234-utils-Add-RPM-stuff.patch
Patch235:   0235-migration-Set-version-during-installation.patch
Patch236:   0236-migrate-Skip-network-if-it-looks-like-node-3.0.patch

License:        GPLv2+
Group:          Applications/System

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:            http://www.ovirt.org/
BuildRequires:  python-setuptools python-devel dracut
BuildRequires:  automake autoconf
%if %{is_systemd}
BuildRequires:  systemd-units
Requires:       systemd-units
Requires(post):     systemd-units
Requires(preun):    systemd-units
#Requires:       python-augeas
Requires:       glusterfs-client >= 2.0.1
Requires:       python-IPy
Requires:       grub2
Requires:       system-release
%endif
BuildRequires:  python-lockfile

Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires:       libvirt >= 0.9.2, libvirt-python
Requires:       augeas >= 0.3.5
Requires:       bridge-utils
Requires:       udev >= 147-2.34
Requires:       wget
Requires:       cyrus-sasl-gssapi cyrus-sasl >= 2.1.22
Requires:       iscsi-initiator-utils
Requires:       ntp
Requires:       nfs-utils
Requires:       bash
Requires:       chkconfig
Requires:       bind-utils
Requires:       qemu-img
Requires:       nc
Requires:       /usr/sbin/crond
Requires:       newt-python
Requires:       libuser-python >= 0.56.9
Requires:       dbus-python
Requires:       python-gudev
Requires:       python-urwid
Requires:       python-lockfile
Requires:       PyPAM
Requires:       ethtool
Requires:       cracklib-python
Requires:       dracut
Requires:       /bin/hostname
Requires:       tuned
%if %{is_min_f19}
Requires:       NetworkManager
%endif
%if ! %{?is_systemd}
Requires:       grub
# for applying patches in %post
Requires(post):       patch
%endif
Requires:       system-release

BuildArch:      noarch


%define app_root %{_datadir}/%{name}

%description
Provides a series of daemons and support utilities for hypervisor distribution.


%package recipe
Summary:        Recipes for building and running %{product_family} images
Group:          Applications/System
Requires:       pykickstart  >= 1.54
Obsoletes:      ovirt-node-tools <= 2.3.0-2

%define recipe_root %{_datadir}/ovirt-node-recipe

%description recipe
This package provides recipe (Kickstart files), client tools,
documentation for building and running an %{product_family} image.
This package is not to be installed on the %{product_family},
however on a development machine to help to build the image.


%package tools
Summary:        Tools for working with plugins on %{product_family} images
Group:          Applications/System
Requires:       livecd-tools >= 1:13.4.3
Requires:       libselinux-python

%description tools
This package provides plugin tools for modifying and working with the
%{product_family} image.
This package is not to be installed on the %{product_family},
however on a development machine to work with the image.


%package plugin-ipmi
Summary:        Ipmi plugin for %{product_family} image
Group:          Applications/System
Requires:       ipmitool
Requires:       OpenIPMI

%description plugin-ipmi
This package provides a ipmi plugin for use with %{product_family} image.


%package plugin-puppet
Summary:        Puppet plugin for %{product_family} image
Group:          Applications/System
Requires:       puppet

%description plugin-puppet
This package provides a puppet plugin for use with %{product_family} image.

%post plugin-puppet
%if %{is_el6}
patch -d /usr/lib/ruby/site_ruby/1.8/facter -p0 < \
%else
patch -d /usr/share/ruby/vendor_ruby/facter -p0 < \
%endif
   %{app_root}/puppet-plugin/puppet-operatingsystem.rb.patch

cd /etc/puppet
patch -p0 << EOF
--- puppet.conf 2013-03-21 14:55:43.969130799 -0700
+++ puppet.conf.new 2013-03-21 14:56:02.690178578 -0700
@@ -1,4 +1,6 @@
 [main]
+#    server = ""
+#    certname = ""
     # The Puppet log directory.
     # The default value is '$vardir/log'.
     logdir = /var/log/puppet
EOF

%if %{is_el6}
echo 'files /var/lib/puppet' >> /etc/rwtab
%endif


%package plugin-snmp
Summary:        SNMP plugin for %{product_family} image
Group:          Applications/System
Requires:       net-snmp
Requires:       net-snmp-utils
Requires:       perl-libs

%define snmp_root %{_datadir}/%{name}

%description plugin-snmp
This package provides an snmp plugin tools for use with%{product_family} image.

%post plugin-snmp
%if %{is_systemd}
systemctl enable snmpd.service
%else
chkconfig snmpd on
%endif

cat > /etc/snmp/snmpd.conf << \EOF_snmpd
master agentx
dontLogTCPWrappersConnects yes
rwuser root auth .1
EOF_snmpd


%package plugin-cim
Summary:        CIM plugin for %{product_family} image
Group:          Applications/System
Requires:       libvirt-cim
Requires:       sblim-sfcb

%description plugin-cim
This package provides a cim plugin for use with%{product_family} image.

%post plugin-cim
# Hack for rhbz#1018063
# The only time this is a problem is if we're upgrading from a pre-
# plugin version to a newer node. Manually specify the GID so we don't
# end up with a different one on the new image
if [[ ! `egrep '^cim' /etc/group` ]]; then
    # Create a group
    if [[ ! `egrep '^.*?:.*?:501:' /etc/group` ]]; then
        # gid 501 isn't taken
        groupadd -g 501 cim
    else
        # Take whatever GID we get -- probably no conflicts
        groupadd cim
    fi
fi
useradd -g cim -G sfcb -s /sbin/nologin cim
%if ! %{is_systemd}
/sbin/chkconfig --add ovirt-cim
/sbin/chkconfig ovirt-cim on
%else
if [ $1 -eq 1 ] ; then
    # Initial installation
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
    /bin/systemctl enable ovirt-cim >/dev/null 2>&1 || :
fi
%endif
#CIM related changes
# set read-only
echo "readonly = true;" > /etc/libvirt-cim.conf

#cleanup tmp directory from cim setup
rm -rf /tmp/cim_schema*

%package plugin-rhn
Summary:        RHN plugin for %{product_family} image
Group:          Applications/System
Requires:       subscription-manager
Requires:       rhn-virtualization-host
Requires:       rhn-setup
Requires:       virt-who

%description plugin-rhn
This package provides the necessary rhn plugin tools for use with%{product_family} image.


#
# SELinux subpackage
#
%global selinux_variants targeted
%global selinux_policyver %(%{__sed} -e 's,.*selinux-policy-\\([^/]*\\)/.*,\\1,' /usr/share/selinux/devel/policyhelp || echo 0.0.0)
%global modulename ovirt

%package selinux
Summary:          SELinux policy module supporting %{product_family}
Group:            System Environment/Base
BuildRequires:    policycoreutils, checkpolicy, selinux-policy-devel
BuildRequires:    selinux-policy-doc, hardlink
%if "%{selinux_policyver}" != ""
Requires:         selinux-policy >= %{selinux_policyver}
%endif
Requires:         %{name} = %{version}-%{release}
Requires:         selinux-policy-base
Requires(post):   /usr/sbin/semodule, /sbin/restorecon
Requires(postun): /usr/sbin/semodule, /sbin/restorecon

%description selinux
SELinux policy module supporting %{product_family}

%post selinux
for selinuxvariant in %{selinux_variants}
do
  /usr/sbin/semodule -s ${selinuxvariant} -i \
    %{_datadir}/selinux/${selinuxvariant}/%{modulename}.pp &> /dev/null || :
done
# Is this to greedy?
/sbin/restorecon -R / || :

# set SELinux booleans
# rhbz#502779 restrict certain memory protection operations
#     keep allow_execmem on for grub
# rhbz#642209 allow virt images on NFS
/usr/sbin/setsebool -P allow_execstack=0 \
                       virt_use_nfs=1 \
                       virt_use_sanlock=1 \
                       sanlock_use_nfs=1


%postun selinux
if [ $1 -eq 0 ] ; then
  for selinuxvariant in %{selinux_variants}
  do
     /usr/sbin/semodule -s ${selinuxvariant} -r %{modulename} &> /dev/null || :
  done
  # Is this to greedy?
  /sbin/restorecon -R / &> /dev/null || :
fi

# FIXME what about semanage?


#
# Igor service subpackage
#
%package plugin-igor-slave
Summary:        Igor slave plugin for %{product_family}
Group:          Applications/System

%if %{is_systemd}
BuildRequires:  systemd-units
Requires:       systemd
%else
BuildRequires:  initscripts
Requires(post): chkconfig
%endif

# We need python-uinput for TUI tests
Requires:       python-uinput


%description plugin-igor-slave
This package provides an igor service for %{product_family}. This service
is responsible for running testcase offered by an igor server.


%post plugin-igor-slave
%if %{is_systemd}
if [ $1 -eq 1 ] ; then
    # Initial installation
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
    /bin/systemctl enable ovirt-node-igor-slave.service >/dev/null 2>&1 || :
fi
%else
/sbin/chkconfig --add ovirt-node-igor-slave >/dev/null 2>&1 || :
%endif

%prep
%setup -q

#ugly hack because input.py is not in the tarball
%patch0 -p1

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch87 -p1
%patch88 -p1
%patch89 -p1
%patch90 -p1
%patch91 -p1
%patch92 -p1
%patch93 -p1
%patch94 -p1
%patch95 -p1
%patch96 -p1
%patch97 -p1
%patch98 -p1
%patch99 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch123 -p1
%patch124 -p1
%patch125 -p1
%patch126 -p1
%patch127 -p1
%patch128 -p1
%patch129 -p1
%patch130 -p1
%patch131 -p1
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch135 -p1
%patch136 -p1
%patch137 -p1
%patch138 -p1
%patch139 -p1
%patch140 -p1
%patch141 -p1
%patch142 -p1
%patch143 -p1
%patch144 -p1
%patch145 -p1
%patch146 -p1
%patch147 -p1
%patch148 -p1
%patch149 -p1
%patch150 -p1
%patch151 -p1
%patch152 -p1
%patch153 -p1
%patch154 -p1
%patch155 -p1
%patch156 -p1
%patch157 -p1
%patch158 -p1
%patch159 -p1
%patch160 -p1
%patch161 -p1
%patch162 -p1
%patch163 -p1
%patch164 -p1
%patch165 -p1
%patch166 -p1
%patch167 -p1
%patch168 -p1
%patch169 -p1
%patch170 -p1
%patch171 -p1
%patch172 -p1
%patch173 -p1
%patch174 -p1
%patch175 -p1
%patch176 -p1
%patch177 -p1
%patch178 -p1
%patch179 -p1
%patch180 -p1
%patch181 -p1
%patch182 -p1
%patch183 -p1
%patch184 -p1
%patch185 -p1
%patch186 -p1
%patch187 -p1
%patch188 -p1
%patch189 -p1
%patch190 -p1
%patch191 -p1
%patch192 -p1
%patch193 -p1
%patch194 -p1
%patch195 -p1
%patch196 -p1
%patch197 -p1
%patch198 -p1
%patch199 -p1
%patch200 -p1
%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1
%patch208 -p1
%patch209 -p1
%patch210 -p1
%patch211 -p1
%patch212 -p1
%patch213 -p1
%patch214 -p1
%patch215 -p1
%patch216 -p1
%patch217 -p1
%patch218 -p1
%patch219 -p1
%patch220 -p1
%patch221 -p1
%patch222 -p1
%patch223 -p1
%patch224 -p1
%patch225 -p1
%patch226 -p1
%patch227 -p1
%patch228 -p1
%patch229 -p1
%patch230 -p1
%patch231 -p1
%patch232 -p1
%patch233 -p1
%patch234 -p1
%patch235 -p1
%patch236 -p1


%build
aclocal && autoheader && automake --add-missing && autoconf
%configure --with-image-minimizer
make

# Build SELinux policy module
cd semodule
for selinuxvariant in %{selinux_variants}
do
    %{__make} NAME=${selinuxvariant} \
        -f %{?policy_devel_root}%{_datadir}/selinux/devel/Makefile
    mv -v %{modulename}.pp %{modulename}.pp.${selinuxvariant}
done
cd -


%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/ovirt-node/hooks
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/ovirt-node/hooks/pre-upgrade
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/ovirt-node/hooks/post-upgrade
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/ovirt-node/hooks/rollback

# replace logo
%{__install} -p -m0644 %{SOURCE1} %{buildroot}%{app_root}/syslinux-vesa-splash.jpg


# install libvirtd upstart job
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/init
%{__install} -p -m0644 libvirtd.upstart %{buildroot}%{_sysconfdir}/init/libvirtd.conf

%if 0%{?rhel}
# dracut patches for rhel6
%{__install} -p -m0644 dracut/dracut-7ed4ff0636c74a2f819ad6e4f2ab4862.patch %{buildroot}%{app_root}
%endif

%{__install} -p -m0644 scripts/augeas.py %{buildroot}%{python_sitelib}

# Install SELinux policy module
cd semodule
%{__install} -d %{buildroot}%{_datadir}/selinux
for selinuxvariant in %{selinux_variants}
do
    %{__install} -d %{buildroot}%{_datadir}/selinux/${selinuxvariant}
    %{__install} -p -m 644 %{modulename}.pp.${selinuxvariant} \
               %{buildroot}%{_datadir}/selinux/${selinuxvariant}/%{modulename}.pp
done
cd -

/usr/sbin/hardlink -cv %{buildroot}%{_datadir}/selinux


%clean
%{__rm} -rf %{buildroot}

%post
/sbin/chkconfig --level 35 netconsole off
%if ! %{is_systemd}
/sbin/chkconfig --add ovirt-awake
/sbin/chkconfig --add ovirt-early
/sbin/chkconfig --add ovirt-firstboot
/sbin/chkconfig --add ovirt
/sbin/chkconfig --add ovirt-post
/sbin/chkconfig --add ovirt-kdump
%else
if [ $1 -eq 1 ]; then
    #Initial installation
    /bin/systemctl daemon-relad >/devnull 2>&1 || :
fi
%endif
# workaround for imgcreate/live.py __copy_efi_files
if [ ! -e /boot/grub/splash.xpm.gz ]; then
  cp %{app_root}/grub-splash.xpm.gz /boot/grub/splash.xpm.gz
fi
%if ! %{is_systemd}
# apply dracut fixes not in rhel6
# rhbz#683330
# dracut.git commits rediffed for dracut-004-336.el6
patch -d /usr/share/dracut/ -p0 < %{app_root}/dracut-7ed4ff0636c74a2f819ad6e4f2ab4862.patch

%endif
#use all hard-coded defaults for multipath
# except for getuid_callout where we need to replace-whitespace on EL6
%if %{is_el6}
cat > /etc/multipath.conf << \EOF_multipath_conf
defaults {
    getuid_callout "/lib/udev/scsi_id --replace-whitespace --whitelisted --device=/dev/%n"
}
EOF_multipath_conf
%else
cat > /etc/multipath.conf << \EOF_multipath_conf2
#Use Defaults
EOF_multipath_conf2
%endif

# release info for dracut to pick it up into initramfs
sed -i "s/^.* release/%{product_family} release/ ; s/(.*\$/(0)/" /etc/system-release

%preun
/sbin/chkconfig --level 35 netconsole off
%if ! %{is_systemd}
if [ $1 = 0 ] ; then
    /sbin/service ovirt-early stop >/dev/null 2>&1
    /sbin/service ovirt-firstboot stop >/dev/null 2>&1
    /sbin/service ovirt stop >/dev/null 2>&1
    /sbin/service ovirt-post stop >/dev/null 2>&1
    /sbin/chkconfig --del ovirt-awake
    /sbin/chkconfig --del ovirt-early
    /sbin/chkconfig --del ovirt-firstboot
    /sbin/chkconfig --del ovirt
    /sbin/chkconfig --del ovirt-post
fi
%else
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable ovirt-firstboot.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable ovirt.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable ovirt-post.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable ovirt-early.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable ovirt-kdump.service > /dev/null 2>&1 || :

    /bin/systemctl stop ovirt.service > /dev/null
    /bin/systemctl stop ovirt-post.service > /dev/null
    /bin/systemctl stop ovirt-early.service > /dev/null
    /bin/systemctl stop ovirt-kdump.service > /dev/null
    /bin/systemctl stop ovirt-cim.service > /dev/null
fi
%endif

%preun plugin-cim
%if ! %{is_systemd}
if [ $1 = 0 ] ; then
    /sbin/service ovirt-cim stop >/dev/null 2>&1
    /sbin/chkconfig --del ovirt-cim
fi
%else
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable ovirt-cim.service > /dev/null 2>&1 || :
    /bin/systemctl stop ovirt-cim.service > /dev/null
fi
%endif


%preun plugin-igor-slave
%if ! %{is_systemd}
if [ $1 = 0 ] ; then
    /sbin/service ovirt-node-igor-slave stop >/dev/null 2>&1
    /sbin/chkconfig --del ovirt-node-igor-slave
fi
%else
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable ovirt-node-igor-slave.service > /dev/null 2>&1 || :
    /bin/systemctl stop ovirt-node-igor-slave.service > /dev/null
fi
%endif


#
# FILES
#
%files recipe
%defattr(0644,root,root,0755)
%doc README COPYING
%{recipe_root}/*.ks
%defattr(0755,root,root,0755)
%{_mandir}/man8/node-creator.8.gz
%{_sbindir}/node-creator


%files tools
%{_sbindir}/edit-node
%{_sbindir}/testable-node
%{_mandir}/man8/edit-node.8.gz


%files plugin-ipmi
%{python_sitelib}/ovirt/node/setup/ipmi/


%files plugin-puppet
%{python_sitelib}/ovirt/node/setup/puppet/
%{_localstatedir}/lib/puppet/facts/ovirt.rb
%{_sysconfdir}/ovirt-plugins.d/puppet.minimize
%{_sysconfdir}/ovirt-commandline.d/puppet-args
%{app_root}/puppet-plugin/puppet-operatingsystem.rb.patch
%{_sysconfdir}/ovirt-config-boot.d/puppet_autoinstall.py*


%files plugin-snmp
%{python_sitelib}/ovirt_config_setup/snmp.py*
%{python_sitelib}/ovirt/node/setup/snmp/__init__.py*
%{python_sitelib}/ovirt/node/setup/snmp/snmp_model.py*
%{python_sitelib}/ovirt/node/setup/snmp/snmp_page.py*
%{_sysconfdir}/ovirt-plugins.d/snmp.minimize
%{_sysconfdir}/ovirt-config-boot.d/snmp_autoinstall.py*


%files plugin-cim
%{python_sitelib}/ovirt_config_setup/cim.py*
%{python_sitelib}/ovirt/node/setup/cim/
%{python_sitelib}/ovirt/node/setup/cim/__init__.py*
%{python_sitelib}/ovirt/node/setup/cim/cim_model.py*
%{python_sitelib}/ovirt/node/setup/cim/cim_page.py*
%{_sysconfdir}/ovirt-plugins.d/cim.minimize
%if %{is_systemd}
%{_unitdir}/ovirt-cim.service
%else
%{_initrddir}/ovirt-cim
%endif


%files plugin-igor-slave
%{_libexecdir}/ovirt-node-igor-slave
%if %{is_systemd}
%{_unitdir}/ovirt-node-igor-slave.service
%else
%{_initrddir}/ovirt-node-igor-slave
%endif


%files plugin-rhn
%{python_sitelib}/ovirt/node/setup/rhn/__init__.py*
%{python_sitelib}/ovirt/node/setup/rhn/rhn_model.py*
%{python_sitelib}/ovirt/node/setup/rhn/rhn_page.py*
%{_sysconfdir}/ovirt-commandline.d/rhn_autoinstall_args
%{_sysconfdir}/ovirt-config-boot.d/rhn_autoinstall.py*


%files selinux
%defattr(-,root,root,0755)
%doc semodule/*.fc semodule/*.te
%{_datadir}/selinux/*/%{modulename}.pp


%files
%defattr(-,root,root)
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/default/ovirt

%config(noreplace) %{_sysconfdir}/logrotate.d/ovirt-node
%config(noreplace) %{_sysconfdir}/cron.d/ovirt-logrotate

%{mgmt_scripts_dir}
%dir %{_sysconfdir}/ovirt-config-boot.d
%{_sysconfdir}/ovirt-config-boot.d/local_boot_trigger.sh

%if 0%{?fedora}
%{_unitdir}/libvirtd.service
%endif
%if 0%{?rhel}
%{_sysconfdir}/init/libvirtd.conf
%endif

%{_sysconfdir}/ovirt-node/logging.conf
%{_sysconfdir}/ovirt-node/logging.debug.conf
%{_sysconfdir}/sysconfig/modules/vlan.modules
%{_sysconfdir}/modprobe.d/ovirt-qla4xxx.conf
%{_sysconfdir}/modprobe.d/bonding.conf
%{_libexecdir}/ovirt-node/hooks

%doc COPYING
# should be ifarch i386
%{app_root}/grub-splash.xpm.gz
# end i386 bits
%{app_root}/syslinux-vesa-splash.jpg
%if ! %{is_systemd}
%{app_root}/dracut-7ed4ff0636c74a2f819ad6e4f2ab4862.patch
%endif

%dir %{dracutdir}/91ovirtnode
%{dracutdir}/91ovirtnode/module-setup.sh
%{dracutdir}/91ovirtnode/ovirt-boot-functions
%{dracutdir}/91ovirtnode/ovirt-cleanup.sh
%if 0%{?rhel}
%{dracutdir}/91ovirtnode/check
%{dracutdir}/91ovirtnode/install
%endif
%{_sysconfdir}/dracut.conf.d/ovirt-dracut.conf
%{_libexecdir}/ovirt-auto-install
%{_libexecdir}/ovirt-config-password
%{_libexecdir}/ovirt-config-uninstall
%{_libexecdir}/ovirt-functions
%{_libexecdir}/ovirt-admin-shell
%{_libexecdir}/ovirt-init-functions.sh
%{_sbindir}/persist
%{_sbindir}/unpersist
%{_sbindir}/ovirt-node-upgrade
%{python_sitelib}/ovirt_config_setup
%exclude %{python_sitelib}/ovirt_config_setup/cim.py*
%exclude %{python_sitelib}/ovirt_config_setup/snmp.py*
%{python_sitelib}/ovirtnode
%{python_sitelib}/augeas*
%{_sysconfdir}/ovirt-early.d
%dir %{_sysconfdir}/ovirt-commandline.d
%if 0%{?fedora}
%{_unitdir}/ovirt.service
%{_unitdir}/ovirt-awake.service
%{_unitdir}/ovirt-firstboot.service
%{_unitdir}/ovirt-post.service
%{_unitdir}/ovirt-early.service
%{_unitdir}/ovirt-kdump.service
%else
%{_initrddir}/ovirt-awake
%{_initrddir}/ovirt-early
%{_initrddir}/ovirt-firstboot
%{_initrddir}/ovirt
%{_initrddir}/ovirt-post
%{_initrddir}/ovirt-kdump
%endif
# Files related to the new TUI
%{python_sitelib}/ovirt/__init__.py*
%{python_sitelib}/ovirt/node/*.py*
%{python_sitelib}/ovirt/node/ui/*.py*
%{python_sitelib}/ovirt/node/utils/*.py*
%{python_sitelib}/ovirt/node/tools/*.py*
%{python_sitelib}/ovirt/node/config/*.py*
%{python_sitelib}/ovirt/node/setup/*.py*
%{python_sitelib}/ovirt/node/setup/core/*.py*
%{python_sitelib}/ovirt/node/installer/*.py*
%{python_sitelib}/ovirt/node/installer/core/*.py*
%exclude %{python_sitelib}/ovirt/node/setup/snmp/*.py*
%exclude %{python_sitelib}/ovirt/node/setup/cim/*.py*
%{_bindir}/ovirt-node-setup
%{_bindir}/ovirt-node-installer
%{_bindir}/ovirt-node-doc


%changelog
* Wed Jan 22 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-18.1
- Fix rhbz#1056735 - Drop appliance-tools dependency

* Mon Jan 20 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-18
- Fix rhbz#1052887 - Migration for 6.4
- Fix rhbz#1054036 - Fix auto-installation

* Wed Jan 15 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-17
- Fix config migration rhbz#1052887

* Fri Jan 10 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-16
- Fix migration script
- Fix puppet page

* Thu Jan 09 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-15
- Fix migration script

* Thu Jan 09 2014 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-14
- KDump, Bonding, Upgrade, Installer and Setup fixes
- RHEL 6.4 to 6.5 migration script
- IPv6 improvements
- RHN plugin improvements
- iSCSI improvements

* Fri Dec 20 2013 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-13
- Further installer upgrade fix

* Thu Dec 19 2013 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-12
- Installer upgrade fix

* Thu Dec 19 2013 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-11
- iSCSI, EFI and Setup fix

* Wed Dec 18 2013 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-10
- Installer and Setup fixes
- Auto-Installation fixes

* Thu Dec 12 2013 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-9
- Installer and Tools fixes

* Wed Dec 11 2013 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-8
- iSCSI, Setup, RHN, Puppet, IPMI, Installer, KDump fixes
- Spec adjustments

* Wed Oct 30 2013 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-7
- Installer and Auto-Installer fixes
- Setup fixes
- iSCSI fixes

* Tue Oct 22 2013 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-6
- Installer fix

* Tue Oct 22 2013 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-5
- Puppet fixes
- RHN fixes
- IPMI fixes
- KDump fixes
- Setup and Installer fixes
- Software iSCSI fixes

* Wed Oct 16 2013 Fabian Deutsch <fdeutsch@redhat.com> 3.0.1-4
- EFI and software iSCSI fixes
- Puppet fixes
- Fixes within the installation and upgrade logic
- edit-node enhancements

* Wed Oct 02 2013 Mike Burns <mburns@redhat.com> 3.0.1-3
- Rebranding fixes
- RHN plugin rewrite
- Various installation and upgrade fixes
- Network bonding fixes
- Logging fixes
- A couple various EL6 compatibility fixes

* Wed Sep 11 2013 Mike Burns <mburns@redhat.com> 3.0.1-1
- Rebase to upstream 3.0.1 rhbz#962610

* Wed Jul 17 2013 Mike Burns <mburns@redhat.com> 3.0.0-6.1
- Rebase to upstream 3.0.0 rhbz#962610

* Mon Jan 28 2013 Mike Burns <mburns@redhat.com> 2.5.0-17
- Fix syntax error on installation rhbz#901473
- fix iscsi initiator persistence during upgrade rhbz#903398

* Mon Jan 28 2013 Mike Burns <mburns@redhat.com> 2.5.0-16.1
- Fix exception when selecting "Other Disk" rhbz#895413
- re-add rpcbind rhbz#902677
- fix efi installation detection rhbz#901473

* Tue Jan 22 2013 Mike Burns <mburns@redhat.com> 2.5.0-16
- Fix exception when selecting "Other Disk" rhbz#895413
- re-add rpcbind rhbz#902677
- fix efi installation detection rhbz#901473

* Wed Jan 16 2013 Mike burns <mburns@redhat.com> 2.5.0-15
- unblacklist other selinux tools for vdsm rhbz#895354

* Mon Jan 14 2013 Mike Burns <mburns@redhat.com> 2.5.0-14
- unblacklist libsemanage-python rhbz#894228
- fix space check to honor EFI size rhbz#868776

* Wed Jan 09 2013 Mike Burns <mburns@redhat.com> 2.5.0-13
- fix gpt partition cleanup and label detection rhbz#872502
- fix satellite checkbox in rhn tui screen rhbz#887743
- remove interim kdump config if interrupted rhbz#869513
- revert to network page when cancelling ping test rhbz#890283

* Thu Jan 03 2013 Mike Burns <mburns@redhat.com> 2.5.0-12
- Increase kernel memsize for kdump rhbz#885018
- edit-node: fix checks for install-kmod rhbz#888650
- fix spelling in rhn.py rhbz#889007
- add check_existing_hostvg to autoinstall rhbz#889198
- fix edited iso name release string rhbz#823745
- increase default number of loop devices rhbz#883391
- fix detection of hardware virt enabled in cpu details rhbz#887149
- clean edit-node man page rhbz#811585
- handle missing cpu details rhbz#887149
- fix virt-who exectuable to honor command line arguments rhbz#870335
- don't show invalid popup when kdump fields are empty rhbz#867832
- check space against all disks selected rhbz#868776
- add atomic persist function rhbz#871212

* Wed Dec 12 2012 Mike Burns <mburns@redhat.com> 2.5.0-11
- Fix cross check of appvg and hostvg rhbz#867265
- only create grub splashscreen when file exists rhbz#826860
- fix pep8 string fix rhbz#872083
- don't install if HostVG detected rhbz#880938
- speed up rhn registration check rhbz#816900
- Catch keyboard interrupts when configuring ssh kdump rhbz#869513
- run restorecon in runlevel 1 when setting passwords rhbz#885709
- only show loading message on network screen rhbz#816900
- handle exception message in storage screen rhbz#886390

* Tue Nov 27 2012 Mike Burns <mburns@redhat.com> 2.5.0-10
- detect syslinux/isolinux during usb upgrade rhbz#878743
- unblacklist rpx.idmapd rhbz#880099
- remove ovirt-config-boot rhbz#876076
- save edited iso name to reflect installed package rhbz#823745
- resolve rhn config file busy errors rhbz#874396
- increase default recursion limit rhbz#873190
- validate that rhn profile name is at least 3 chars rhbz#876899
- cli upgrades should use Install.ovirt_boot_setup rhbz#876076
- update is_auto_install to use /proc/cmdline rhbz#872115
- mount_efi before running upgrade on efi machines rhbz#880030
- translate disk to name used by LVM rhbz#872502
- check for remaining HostVG rhbz#872114
- import virt capability detection rhbz#874377
- fix removal of dns servers rhbz#870436 rhbz#879498
- fix disk details in hostvg page with other device rhbz#880925
- fix HostVG installation across multiple devices rhbz#881570
- don't attempt unchecking live device in hostvg rhbz#881536
- pxe should override detection in get_live_disk rhbz#882846
- show missing disk dracut errors rhbz#879542
- add newline at end of redhat-release after edit rhbz#823745

* Wed Nov 14 2012 Mike Burns <mburns@redhat.com> 2.5.0-9
- add --no-check-certificate to local_boot_trigger rhbz#875061
- honor custom storage sizes rhbz#873115
- fix online upgrade backup grub entry rhbz#863982
- add missing module to initramfs rhbz#874530
- add newline to reboot cron job rhbz#866935
- report error if wget fails in rhn config rhbz#870938
- fix unount_logging_services rhbz#871242
- limit device name display to 31 chars rhbz#873146
- disable kdump when all options unchecked rhbz#872062
- hostname limit is 64 chars rhbz#871651
- cleanup password page correctly rhbz#861311
- allow removal of all dns and ntp servers rhbz#870436
- cim/snmp must contain passwords to enable rhbz#872469
- display loading message on all transitions rhbz#816900

* Wed Oct 31 2012 Mike Burns <mburns@redhat.com> 2.5.0-8
- keep sch_ingress.ko kernel mod for port mirroring rhbz#867387
- install.py: check upgrade_iso_file path for /live path rhbz#847103
- setup: correct callbacks where screen title was missing rhbz#868199
- add example to nfsv4 domain entry rhbz#868213
- fix cciss device detection for upgrades rhbz#866935
- expand rng bytes entry space to 5 char rhbz#868209
- fix rhn_url comparison check rhbz#868194
- setup: add callback to verify rng input rhbz#868848
- installer: test needed root space when checking partition sizes rhbz#868258
- RHEV-H ONLY: remove extra nomodeset boot args from isolinux.cfg rhbz#868767
- RHEV-H ONLY: correct boot menu options due to livecd-tools update rhbz#868762
- Switch BOOT_SIZE back to 50MB rhbz#869300
- kdump: verify ssh connection setup successfully rhbz#869513
- fix cancel button action on ping test window rhbz#868200
- Give a warning when invalid characters are used in ping test rhbz#869516
- installer: disable devices in hostvg if selecting Other Device rhbz#869631
- check nfsv4 domain before applying config rhbz#869866
- dracut: Expand and translate devices to compare rhbz#869172
- fix spelling error when partitions too big for the drive rhbz#868212
- network: Allow setting a static IP rhbz#867784
- setup: Notice when net down on KDUMP page rhbz#868206
- handle log_size set to 0 rhbz#868215
- setup: Set bootproto according to config rhbz#858651
- network: Persist ntp.conf when it get's changed rhbz#869537
- network: Prevent exceptions rhbz#858983
- network: Populate udev with properties rhbz#866585
- network: Pull bridge from vlan if available rhbz#866585
- init: Restart netconsole when network is available rhbz#869984
- setup: Allow only second DNS server rhbz#869514
- set hostname to localhost.localdomain if blank rhbz#870314
- enforce a cim password before enabling rhbz#867746
- validate the cim user exists prior to setting password rhbz#858246
- dont allow local kdump setting to be disabled when network is down rhbz#869927

* Fri Oct 12 2012 Mike Burns <mburns@redhat.com> 2.5.0-7
- don't report rhn proxy password in log rhbz#837228
- enable strong RNG options rhbz#829007
- fix autoinstall failure due to unmount_logging rhbz#862351
- include Glusterfs client packages rhbz#852715
- fix rhn activationkey based registrations rhbz#865237
- fix list assignment in rhn rhbz#866269
- don't recurse when getting rhn sat cert rhbz#865687
- fix dracut modules rhbz#865703
- add option to specify org with sam activationkey reg rhbz#866274
- resync rhn profile when re-registering rhbz#864352
- disable network completely if nics changed to disabled rhbz#827309
- add iscsi root support rhbz#520111
- add nfsv4 config options rhbz#855734
- don't persist productid.js rhbz#866283
- cleanup ovirt_store_config logic rhbz#866300  rhbz#866299
- add partition size selection page in installer TUI rhbz#825735

* Fri Oct 12 2012 Mike Burns <mburns@redhat.com> 2.5.0-6
- don't minimize dracut directory rhbz#865564
- fix dracut module import rhbz#865703

* Thu Oct 11 2012 Mike Burns <mburns@redhat.com> 2.5.0-5
- Maintain nic ordering once configured rhbz#773495
- don't persist nic ordering if using biosdevname rhbz#863994
- correctly display SAM url in TUI rhbz#805789
- store key.pem and cert.pem individually rhbz#825955
- don't show live devices that use multipath rhbz#834207
- add efi to storage_vol rhbz#831177
- don't display vnet nics on status page rhbz#835495
- add hint when caps lock is on rhbz#745220
- only allow remote logging when network is up rhbz#843493
- set PEERDNS=no if nameservers are given rhbz#830691
- don't allow spaces for snmp passwords rhbz#854925
- add cpu details to status screen rhbz#799708
- keep isomd5sum package rhbz#823651
- split server:port for rhn config in TUI rhbz#837808
- disable --install and --install-plugin in edit-node rhbz#848991
- require bootproto to be set for nic config rhbz#858651
- don't fail if only second NTP server is set rhbz#860534
- only enable location if remote kdump option is set rhbz#852245
- fix label for kdump SSH location rhbz#858258
- hide all obsolete messages in password screen rhbz#861311
- show messages when failing due to invalid disk rhbz#827333
- persist /etc/pki to keep all certs rhbz#864630
- only run hooks when not in auto-install rhbz#830004
- rollback kdump config if new conf is bad rhbz#859352
- add version to EFI boot menu rhbz#827331
- fix efi upgrades grub config path rhbz#847997
- don't process kdump config if option not selected rhbz#858196
- don't create hostvg on install disk unless requested rhbz#857378
- fix reset on network details page rhbz#854918
- block on invalid other device entry rhbz#856171
- add empty help line at bottom of screen rhbz#829193
- add page loading message rhbz#816900
- mount old root when checking existing grub conf rhbz#863982
- check bridge bootproto instead of device rhbz#859873
- fix back button on upgrade to go to correct screen rhbz#860541
- fix bad backport rhbz#863994
- add ping test rhbz#858629
- add savedefault to grub rhbz#858200

* Fri Sep 07 2012 Mike Burns <mburns@redhat.com> 2.5.0-4
- persist libvirt network definitions rhbz#846326
- hide rhn proxy password in debug output rhbz#837249
- don't include HWADDR in VLAN ifcfg scripts rhbz#858984
- make reboot asynchronous rhbz#847103
- translate bootproto=none to static on TUI rhbz#857846
- keep fuse kernel modules rhbz#859389
- bind mount based on /config/files rhbz#860279

* Fri Sep 07 2012 Mike Burns <mburns@redhat.com> 2.5.0-3
- various plugin fixes rhbz#823651
- revert link_delay for kdump rhbz#823646
- disable vlan field on disabled network rhbz#826863
- display and write valid network config rhbz#837614
- don't modify tagged interface nic names rhbz#837745
- add optional reboot to ovirt_boot_setup rhbz#847103

* Thu Aug 16 2012 Mike Burns <mburns@redhat.com> 2.5.0-2
- Rebase to 2.5.0

* Mon Jul 02 2012 Mike Burns <mburns@redhat.com> 2.3.0-16
- fix some inconsistency and errors during upgrades from 6.2 rhbz#827383
- fix biosdevname upgrade rhbz#827383
- require password when configuring snmp rhbz#825146
- don't display proxy password when configuring RHN rhbz#824800
- only set cim password if it meets requirements rhbz#829248
- Require old password when upgrading rhbz#828142
- check snmp password validation before configuring rhbz#829248

* Fri Jun 15 2012 Mike Burns <mburns@redhat.com> 2.3.0-15
- validate /liveos/version exists during installation rhbz#831101

* Thu Jun 14 2012 Mike Burns <mburns@redhat.com> 2.3.0-13
- Fix one more issue around biosdevname upgrade rhbz#831101

* Wed Jun 13 2012 Mike Burns <mburns@redhat.com> 2.3.0-12
- Revert biosdevname upgrade rhbz#831101

* Tue Jun 05 2012 Mike Burns <mburns@redhat.com> 2.3.0-11
- fix biosdevname to only be active on smbios > 2.6 rhbz#822848

* Wed May 30 2012 Mike Burns <mburns@redhat.com> 2.3.0-10
- Only do biosdevname conversion on Dell boxes rhbz#822848

* Thu May 24 2012 Mike Burns <mburns@redhat.com> 2.3.0-9
- Fix CDLABEL for UEFI optical media boot rhbz#824928

* Wed May 23 2012 Mike Burns <mburns@redhat.com> 2.3.0-8
- Update resolv.conf backups rhbz#822930
- add grub splash screen for efi boot rhbz#749621
- convert ifcfg scripts to support biosdevname rhbz#822848

* Tue May 15 2012 Mike Burns <mburns@redhat.com> 2.3.0-7
- Update network config before reading rhbz#820177
- add support for biosdevnames for nic config rhbz#813239
- correct snmp password config for enable/disable toggle rhbz#795524
- don't drop dmraid package rhbz#629828
- revert libvirt upstart script changes rhbz#815850

* Wed May 09 2012 Mike Burns <mburns@redhat.com> 2.3.0-6
- change efi kernel/initrd paths due to livecd-tools path change rhbz#748725
- Re-add lvm/ddm workaround for issues with spaces in device names rhbz#819835
- add link_delay option to fix kdump failures rhbz#812865
- clear sam registration to fix registration switching issues rhbz#815652
- don't blank password when not provided in upgrade rhbz#818131
- translate devices to prevent upgrade failures rhbz#811137
- remove createuser line from snmp config when disabling rhbz#795524
- cleanup bus descriptions during installation rhbz#814633

* Tue May 01 2012 Mike Burns <mburns@redhat.com> 2.3.0-5
- Fix persisting of manually entered dns rhbz#754365
- validate vdsmcert against cacert rhbz#815850
- change snmp password after entering new one rhbz#795524
- fix log message in failed autoinstall rhbz#817249
- cleanup kill message in reboot rhbz#816005
- clear rhn/satellite registration when registering to sam rhbz#815652
- stop all network before writing new config rhbz#781929
- efi installation fixes rhbz#748725
- add warning screen popup message in rhn rhbz#815652

* Tue Apr 24 2012 Mike Burns <mburns@redhat.com> 2.3.0-4
- gray out url/ca fields for default rhn setting rhbz#812858
- Revert workaround for disabling LRO rhbz#772809
- fix create_warn_screen colors rhbz#812849
- sync after o-c-password run rhbz#810459
- persist ssh config during auto-install rhbz#811134
- hide selinux restorecon when editing files rhbz#814612
- revert lvm/dmm workaround for spaces in file names rhbz#736493
- redraw the page after invalid input warning rhbz#812851
- reset network config on page switch rhbz#781707
- remove config files for configured nics rhbz#781929 rhbz#768878
- remove nomodeset override rhbz#795230
- update cpe version to update3 rhbz#814448
- Fix installation when there are existing partitions rhbz#802589
- warn if nic configuration will be removed rhbz#798646
- make hostkey screen fill the window rhbz#814054
- prevent logging from hitting stdout and changing screen rhbz#814507
- alter padding on root/hostvg page to show device name rhbz#814633
- add usb mass storage devices into initramfs rhbz#813377
- persist hostname if given in auto-install rhbz#810444
- reload keyboard config on boot rhbz#808709
- remove extra duplicate snmp options rhbz#795524
- fix applying config dialog rhbz#814714
- save iptables and status for cim rhbz#808699
- don't allow nic change if managed rhbz#814714
- reset fields with invalid values rhbz#795690
- set password correctly every time password is changed for cim rhbz#815696
- remove sys.exit calls rhbz#802589
- add check for password length with snmp rhbz#795524
- persist password when forced to change rhbz#814778
- check partition sizes before installing rhbz#815721
- Fix lvm wipe and install with pre-existing partitions rhbz#802589

* Wed Apr 11 2012 Mike Burns <mburns@redhat.com> 2.3.0-3.1
- Fix syntax error in python script rhbz#808675

* Wed Apr 11 2012 Mike Burns <mburns@redhat.com> 2.3.0-3
- Packaging Updates rhbz#807041
- fix efi config with rhevh-iso-to-disk rhbz#748725
- warn when kdump config fails due to unreachable host rhbz#798176
- store keyboard layout rhbz#808687
- default rhn url if not specified rhbz#791057
- refresh network page after nic config rhbz#742365
- update dns server before setting in resolv.conf rhbz#746180
- remove empty config line in TUI rhbz#808666
- don't blacklist libcmpiutil rhbz#712505
- populate url/ca fields when registering to SAM rhbz#805789
- add Basic Video boot option rhbz#795230
- fix reboot after installation rhbz#806626
- keep kbd to allow different keyboard layouts rhbz#808709
- fix sourcing of init functions rhbz#808699
- Warn if proceeding from network page without saving rhbz#781707
- fix snmp processing rhbz#795524
- cleanup lock file when logging out of TUI rhbz#808675

* Fri Mar 30 2012 Mike Burns <mburns@redhat.com> 2.3.0-2
- Fix reboot failing rhbz#806626
- RHEV-H specific gui updates rhbz#806627
- Make Root Disk Selection Enter activated rhbz#806823
- Verify storage_vol parameters and fail if too small rhbz#790981
- wait while re-reading partitions to ensure they're synced rhbz#799791
- add host key popup to the TUI rhbz#805584
- pre-create /etc/multipath/wwids file to prevent warnings rhbz#805570
- fix EFI boot compatibility rhbz#749621
- fix install partitioning failures rhbz#799791

* Thu Mar 29 2012 Mike Burns <mburns@redhat.com> 2.3.0-1.1
- Fix multipath installation problem rhbz#806628

* Sat Mar 24 2012 Mike Burns <mburns@redhat.com> 2.3.0-1
- Rebase to 2.3.0 upstream (patch cleanup rebase)
- Fix autoinstall regression rhbz#790981
- Fix ssh key regen on every boot rhbz#805540
- Final EFI changes rhbz#749621
- Various TUI install fixes rhbz#799791
- Fix failing reinstall due to undefined variable rhbz#803045
- Add support for iSCSI root rhbz#520111
- Add SNMP TUI config screen rhbz#795524
- kdump defaults diff between auto and tui installs rhbz#789246

* Wed Mar 07 2012 Joey Boggs <jboggs@redhat.com> 2.2.3-7
- plugin count should be 1 rather than 2 with removal of double spacing rhbz#742041
- fix is_console for after install usage rhbz#759138

* Tue Mar 06 2012 Joey Boggs <jboggs@redhat.com> 2.2.3-5
- fix race condition when creating hostvg rhbz#790981

* Tue Mar 06 2012 Alan Pevec <apevec@redhat.com> 2.2.3-4
- don't drop system-config-keyboard-base rpm rhbz#799791
- fix autoinstall regression in ovirt-auto-install rhbz#790981

* Fri Mar 02 2012 Mike Burns <mburns@redhat.com> 2.2.3-3
- add server prefix to sam config before registering rhbz#787995
- fix ssh_pwauth during autoinstall
- remove enic lro workaround rhbz#796498
- add efi warning on the installer screen rhbz#798688
- add snmp config page to TUI rhbz#795524
- don't jump to nic config with enter on list rhbz#795706
- add libvirt-cim support rhbz#712505
- accept path as valid location for CA cert rhbz#783392
- Detect and handle fakeraid metadata rhbz#629828
- add keyboard selection rhbz#742041

* Fri Feb 24 2012 Mike Burns <mburns@redhat.com> 2.2.3-2
- SAM enablement rhbz#787995
- make collectd plugin optional rhbz#790981
- Cleanup log viewer screen rhbz#796902
- show vlan id only if current nic uses vlan rhbz#742170
- Fix log viewing rhbz#795346
- Fix colors in ssh/serial console rhbz#759138
- Fix bad variable name in install.py rhbz#791109
- add auto-install for rhn rhbz#791057
- fix rhn registration rhbz#791122
- fix button colors on rhn menu rhbz#789247

* Wed Feb 15 2012 Mike Burns <mburns@redhat.com> 2.2.3-1
- Rebase to 2.2.3 upstream
- add cracklib validation to snmp password in o-c-snmp rhbz#690679
- Make list box arrow driven rather than enter driven rhbz#699498
- Report RHN registration status rhbz#754284
- install and reboot correctly when autoinstall params passed rhbz#788179

* Tue Feb 07 2012 Mike Burns <mburns@redhat.com> 2.2.2-2.1
- Rebase to 2.2.2 upstream
- install and reboot correctly when autoinstall params exist rhbz#788179
- update rhn page to report status rhbz#754284

* Fri Jan 13 2012 Mike Burns <mburns@redhat.com> 2.2.1-2
- Remove SAM warning rhbz#753817
- Fix TUI satellite registration rhbz#782893

* Thu Jan 12 2012 Mike Burns <mburns@redhat.com> 2.2.1-1
- Update to Upstream 2.2.1-1
- Some bugs fixed:  rhbz#707916 rhbz#752348 rhbz#772902 rhbz#767037 rhbz#772806

* Fri Dec 09 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.20
- block spaces in vlan id rhbz#761026
- whitelist configfs.ko kernel module rhbz#755458

* Wed Nov 02 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.14.3
- Fail to find iSCSI device on rhevh rhbz#742433
- persist ovirt default file when disabling firstboot rhbz#750736

* Wed Nov 02 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.13.3
- mkdumprd assumes bridges are br* rhbz#738170
- unmount efi partition before relabeling fs rhbz#747102

* Thu Oct 27 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.13.2
- Add EFI partition rhbz#747102

* Wed Oct 26 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.13.1
- RHSM SAM configuration rhbz#734478
- Add efi partitions rhbz#747102

* Wed Oct 19 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.12
- Fix wiping of disks in uninstall rhbz#738182
- reneable cgconfig rhbz#703095 rhbz#699476

* Wed Oct 12 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.11.2
- revert logrotate for brcm-iscsi rhbz#742125
- nfs services should be started after network setup rhbz#745541

* Wed Oct 12 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.10.3
- fix translation of devices to dm devices rhbza#744981

* Mon Oct 10 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.10.2
- disable cgconfig for now rhbz#703095 rhbz#699476
- fix signatures in manifest-rpm.txt rhbz#710242

* Thu Oct 06 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.10.1
- remove vlan if previously configured rhbz#742167
- override getuid_callout in multipath.conf rhbz#740289
- Fix handling of multipath disks in TUI disk select rhbz#740289
- suppress error if there are no files in ovirt-commandline.d rhbz#723115
- limit max logins to 3 in limits.conf rhbz#742994
- set ssh client timeout to 15 mins rhbz#742997
- drop ebtables-{save,remove} from image rhbz#742995
- revert redhat-release change rhbz#734478

* Thu Sep 29 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.9
- make ovirt-post loop more robust rhbz#739491
- add /var/db to rwtab rhbz#740406
- keep libvirt connection failure from crashing setup rhbz#740216
- update password commands to wait for completion rhbz#741352
- add vdsm logs and change support menu to f8 rhbz#791932
- show full serial number on storage selection pages rhbz#741838
- provide a logout method from TUI rhbz#741942
- force /bin/false shell for less log viewer rhbz#742004
- logrotate brcm-iscsi.log  rhbz#742125
- block network changes if rhevm interface exists rhbz#742101
- only display ipv6 address if OVIRT_IPV6 key exists rhbz#742177

* Wed Sep 21 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.8
- clear satellite url/ca boxes when registering to RHN rhbz#739849

* Mon Sep 19 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.7
- reset colors after ssh callback on kdump page rhbz#738172
- hostnames with all number will now pass verification rhbz#661594 rhbz#720956
- update cpe info for 6.2 rhbz#674924
- keep squashfs to silence mkdumprd rhbz#719905
- wipe disk containing Root if uninstall passed rhbz#738182
- cleanup network processing to prevent delays with no status rhbz#738953
- move support menu text and add in help line for menu interaction rhbz#738966
- generate iscsi iqn during install rhbz#739197
- reload augeas tree for status page to show networking details rhbz#739255
- set context for /tmp/ovirt.log rhbz#520345
- add virt-who and subscription-manager rhbz#734478

* Tue Sep 13 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.6
- enable cgconfig service rhbz#699476
- enable verify_udev_operations rule in lvm.conf rhbz#736357
- fix pci lookup to check alternate list location for pci id rhbz#730207
- no echo input in emergency shell rhbz#734695
- update regex for hostnames rhbz#661594
- make ovirt-early stop if it fails to parse storage_init rhbz#720946
- cleanup menu processing rhbz#720959
- handle list of variables to ignore rhbz#723115

* Fri Sep 09 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.5
- Show configured status if using vlan rhbz#735728
- include mbcache kernel module rhbz#719905
- split install progress and disk lines rhbz#735903
- remove setup lockfiles created from ssh sessions rhbz#683328
- set SHELL variable before dropping to shell rhbz#733589
- run ovirt-post unconfined rhbz#735727
- add kdump ssh regex check rhbz#717128
- expand logical networks box to 4 lines rhbz#733584
- silence remaining storage operations to logfile rhbz#713672
- fix alternate pci ventor lookup rhbz#730207
- don't blacklist /etc/pki/tls/openssl.cnf rhbz#736686
- remove spaces in device name when displaying progress bar rhbz#735903
- show reinstall message if fail to get current version rhbz#733274
- cleanup tmp file rhbz#735727
- use libvirt ro instead of trying vdsm rhbz#736842
- only wipe HostVG if storage_init is not passed in dracut rhbz#736971
- configure libvirt upstart job followup rhbz#726010
- fix quoting bug in ovirtfunctions rhbz#733576
- make UI prompts consistent rhbz#736850

* Fri Sep 02 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.3
- Remove hostvg in dracut with reinstall/uninstall/firstboot rhbz#733274
- update RHN title to specify registration requirements rhbz#732431
- only append proxyhost option is len > 1 due to colon rhbz#732429
- Remove libvirt-cim rhbz#727532
- bypass size read errors on devices in installer rhbz#733422
- hide logical networks scroll bar when < 4 entries rhbz#733584
- declare VLAN_ID before using rhbz#733585
- add reinstall and uninstall options to boot menu rhbz#733357
- handle single dns entry and remove secondary entry if blank rhbz#699339
- enable ability to remove logging server addresses rhbz#710864
- update kdump nfs path checking rhbz#707898
- don't trigger upgrade when local_boot_trigger is passed rhbz#734122
- Revert "fix read-only root error on boot" rhbz#675868
- move back to network details when cancelling configuration rhbz#720568
- fix vendor lookup for nics rhbz#730207
- update test for rescue mode for runlevel 1/S rhbz#683328
- add page section titles where applicable rhbz#699493
- avoid R/O errors on boot rhbz#675868
- fix install when VG exists on disk rhbz#733578
- fix rhn.py to quote arguments rhbz#732429
- block manual setup by creating lock file for tty rhbz#733589
- workaround for lvm warnings rhbz#681118
- Prevent ifdown output from altering menu screen rhbz#699339

* Wed Aug 24 2011 Mike Burns <mburns@redhat.com> 2.0.2-0.2
- Fix cciss autoinstall rhbz#701879
- Add virtualization hardware warning to installer and setup menus rhbz#723161
- Go to network page after applying settings rhbz#699339
- Handle wildcards correctly in dracut plugin rhbz#726843
- Add logical networks to status page rhbz#728142
- single quote rhn user/passwords rhbz#732429
- allow o-c-password to set admin password rhbz#725984
- fix read-only root error on boot rhbz#675868

* Mon Aug 15 2011 Alan Pevec <apevec@redhat.com> 2.0.2-0.1
- new upstream release 2.0.2
- bugfixes
- Handle installs to usb devices with FS on root device rhbz#698158
- fix admin password setting rhbz#727563 rhbz#727563
- persist only configured network configs rhbz#725392
- backup boot entry fixes rhbz#720284
- Don't start ntp daemons until networking is started rhbz#675870

* Thu Aug 04 2011 Mike Burns <mburns@redhat.com> 2.0.1-3
- new upstream release 2.0.1
- bugfixes
- use GPT by default
- add libvirt-cim
- add adminpw command line option
- configure libvirtd upstart job
- fix dracut plugin wildcard handling rhbz#725964
- load vlan kernel module rhbz#726295
- hide kernel messages in admin console rhbz#723458
- fix logging for installed nodes rhbz#723458
- Add missing bnx2x drivers rhbz#709814

* Wed Jun 29 2011 Alan Pevec <apevec@redhat.com> 2.0.0-0
- new upstream release 2.0.0
- split kickstarts per distro, currently ovirt15 and rhevh6
- drop gptsync, make it noarch

* Tue Jun 21 2011 Mike Burns <mburns@redhat.com> 1.9.3-50
- drop rhevm.py rhbz#602338

* Tue May 03 2011 Mike Burns <mburns@redhat.com> 1.9.3-28.1
- Fix encrypting of Swap2 rhbz#633587
- Fix grub device map for various usr/devmapper types rhbz#699602

* Wed Apr 27 2011 Mike Burns <mburns@redhat.com> 1.9.3-27.1
- Remove LANG=C and LC_ALL from /etc/profile rhbz#675823
- Move uninstall wipe of mbr to ovirt-early rhbz#626662
- Fix encrypted swap setup and parsing rhbz#633587
- Fix parsing for AppVG autoinstall rhbz#633583
- Fix grub installation to usb drives rhbz#699602

* Tue Apr 19 2011 Mike Burns <mburns@redhat.com> 1.9.3-26.2
- Fix looping in storage_init parsing rhbz#691891
- Prevent race by making /dev/disk/by-labels on install rhbz#696566
- Manually recreate /dev/mapper entries for partitions rhbz#696566
- Save default grub entries after successful reboot rhbz#696566
- Wipe disk after cleaning lvm info rhbz#626662
- Fix yum.Errors import error for RHN registration rhbz#696439
- Fix SELinux context for /boot-kdump rhbz#654565
- Fix kdump startup rhbz#654565
- Fix static networking bridge configuration rhbz#696512
- Correct certificate paths in vdsm.conf config rhbz#625083
- autoinstall/in-place upgrade breaks serial rhbz#696566

* Tue Apr 12 2011 Mike Burns <mburns@redhat.com> 1.9.3-25
- Enable ESC for aborting ISO media check rhbz#683330
- Fix ipv6 network configuration files rhbz#690792
- Add more debug logging for installation failures rhbz#694644
- Return true when persisting config files rhbz#690677
- Fix parted Root partition size rhbz#690762
- Block major version upgrades rhbz#588267
- Fix name in grub.conf rhbz#677534
- Fix dracut prompt during cleanup rhbz#692072

* Wed Apr 06 2011 Mike Burns <mburns@redhat.com> 1.9.3-24
- Fix name in plymouth progress bar rhbz#676784
- Fix ipv6 dhcp iprules entries rhbz#683354
- Fix cciss installation errors rhbz#681164
- Cleanup catching of failures in autoinstall rhbz#681938
- Support storage_init=<bus> in dracut plugin rhbz#691891
- Blacklist restorecond.desktop rhbz#679367
- Cleanup startup errors rhbz#675868
- Set admin password during autoinstall rhbz#681934
- Fix hostvg_init storage disks rhbz#681164
- Allow firstboot to run unconfined rhbz#647756
- enable en_US.UTF-8 locale in new UI rhbz#675823

* Thu Mar 31 2011 Mike Burns <mburns@redhat.com> 1.9.3-23.2
- Enable vlan config processing rhbz#681168
- Remove confirm password dialog from RHN setup rhbz#690673
- Cleanup installation kargs rhbz#640782
- Update crashkernel parameter rhbz#654565
- Fix installs to /dev/mapper devices rhbz#676255
- Fix prompt for input in dracut when cleaning old disks rhbz#692072

* Fri Mar 25 2011 Mike Burns <mburns@redhat.com> 1.9.3-22
- Replace shutil.copy with a system call rhbz#683864
- Fix detection of syslinux/isolinux rhbz#689834
- Don't allow network changes if registered to RHEVM rhbz#675874
- fix cciss installation issues rhbz#681164
- Update weak password warning message rhbz#682924
- Expand ipv6 fields to 25 chars and fix validation rhbz#681146
- Add dracut plugin for disk cleanup rhbz#688168
- return true if ovirt_store_config succeeds rhbz#690677

* Mon Mar 21 2011 Mike Burns <mburns@redhat.com> 1.9.3-21
- Include rhevm configuration plugin rhbz#682162
- Include plugin for RHEV-M registration  rhbz#625083 rhbz#682162
- Include plugin for RHN registration  rhbz#676006
- Only allow logged in user to unlock screen rhbz#675248
- Use multipath for all devices rhbz#676255
- Fix serial console access rhbz#676969
- fix ovirt.log generation rhbz#681128
- Unblock ipv6 dhcp responses rhbz#683354
- Persist Enable Password Authentication ssh option rhbz#685102
- Fix network page reset button rhbz#688851
- Remove duplicate crashkernel option from commandline rhbz#685130
- Don't allow major version upgrades through the installer rhbz#681128
- Blank nic gateway if not a valid IP address rhbz#688849

* Thu Mar 10 2011 Mike Burns <mburns@redhat.com> 1.9.3-20
- Include rhevm configuration plugin rhbz#682162
- Boot failed on cciss storage rhbz#681164
- Re-install failed to cleanup 5.x installations rhbz#676988
- dhcp was getting the incorrect gateway address rhbz#676775
- serial console not operating correctly rhbz#676969
- SSH configuration not persisted correctly rhbz#681100
- Include uninstall functionality rhbz#632491 rhbz#626662
- Autoinstall continues even if image installation fails rhbz#681938
- Autoinstall intermittently fails on multipath devices rhbz#682005
- RHEV-H UI fixes rhbz#683331 rhbz#682107 rhbz#681735 rhbz#681131 rhbz#681130 rhbz#634795 rhbz#676066 rhbz#667885 rhbz#631629

* Fri Feb 25 2011 Mike Burns <mburns@redhat.com> 1.9.3-19
- unblacklist utf8 locale rhbz#676105
- support lsb_release -r rhbz#676108
- Generalize fstype checks to any ext fs rhbz#676112
- Fix installer issues with unmounting/mounting of logging services rhbz#680421
- Fix firstboot menu appearing after installation rhbz#679655
- RHEV-H UI fixes rhbz#679428 rhbz#636366

* Mon Feb 21 2011 Alan Pevec <apevec@redhat.com> 1.9.3-18
- Include usbutils and lsscsi packages rhbz#642518
- update udev calls for new options rhbz#644341
- clean up dependencies for libguestfs-winsupport rhbz#641494
- Improved RHEV-H User Interface fixes rhbz#614460 rhbz#676747 rhbz#676775 rhbz#676786 rhbz#677207 rhbz#634797 rhbz#676749 rhbz#676987 rhbz#677543 rhbz#629884 rhbz#632095 rhbz#679013

* Thu Feb 10 2011 Alan Pevec <apevec@redhat.com> 1.9.3-17
- Install fails when second disk exists with PV rhbz#675755
- multipath config incorrect rhbz#676255
- HostVG selection page rhbz#675238 rhbz#675241
- kdump config should allow only one selected at a time rhbz#675245
- after cycling through entry fields button colors are changed rhbz#675247
- lock screen should only allow logged in user to unlock rhbz#675248
- add ipv6 validation for network interface configuration rhbz#675279
- Manual input of storage device rhbz#623782
- Issues with local console password access installation screen rhbz#667016
- RFE: systemtap-runtime inclusion rhbz#640977
- RFE: request to include pciutils package rhbz#642518
- Rollback changes in ovirt-node after udevadm info fix rhbz#644341
- Provide our CPE name in a new system file rhbz#674924

* Mon Jan 31 2011 Alan Pevec <apevec@redhat.com> 1.9.3-16
- fail to install the rhev-hypervisor rhbz#672176
- fail to partition storage rhbz#673017
- fail to unmount logging partition rhbz#647752
- VDSM port should be open by default rhbz#662418
- duplicate entries under /dev/mapper/  rhbz#633222
- add libguestfs into RHEV-H rhbz#641494
- Advanced Storage Configuration for automated installs rhbz#633583 rhbz#613663
- Add Encrypted Swap Support to RHEV-H rhbz#633587
- Downloading cert takes too long time when registering RHN rhbz#635578

* Mon Nov 15 2010 Alan Pevec <apevec@redhat.com> 1.9.3-15
- additional default boot parameters rhbz#647301 rhbz#647300 rhbz#630837
- include multipath in initramfs rhbz#627647
- handle invalid input when selecting storage device rhbz#647732
- partition when both HostVG and Root devices are defined rhbz#647693

* Wed Oct 27 2010 Alan Pevec <apevec@redhat.com> 1.9.3-14
- fix uninstall failure rhbz#626662
- fix iscsi partitioning rhbz#629503
- fix cron job for ovirt logrotate rhbz#578499
- include dosfstools in rhev-h rhbz#631795
- fix manual_input drive selection rhbz#623782
- fix disable hostvg enable option rhbz#625381
- fix e2label operation in livecd-iso-to-iscsi rhbz#632664
- check iscsi rootfs kernel version matches before installing rhbz#633654
- check valid ip on iscsi target rhbz#631685
- SELinux enforcing mode rhbz#634170
- fix kernel cmdline ssh_pwauth option rhbz#642835
- fix vlan id input regex rhbz#627106
- enable ovirt-config-kdump AUTO for auto install rhbz#627828
- fix removal of existing HostVG from separate install drive rhbz#625871
- Fix multipath translation on autoinstall rhbz#642376
- Cleanup auto-installation partitioning rhbz#634176
- "firstboot" parameter not working after failed install rhbz#633222
- fix udev_info calls rhbz#633238
- add nomodeset to default boot options rhbz#630837
- setsebool virt_use_nfs on rhbz#642209
- save ovirt_early boot parameter rhbz#630012
- rpm query replacement rhbz#625083
- add option to disable snmpd rhbz#614870

* Tue Aug 31 2010 Alan Pevec <apevec@redhat.com> 1.9.3-12.git0ffa622
- Local Install and reboot fails rhbz#613754

* Wed Aug 25 2010 Alan Pevec <apevec@redhat.com> 1.9.3-9.git8ecebef
- Local Install and reboot fails rhbz#613754
- When upgrading, grub entry for old version is not created rhbz#624741
- Cleanup boot menus rhbz#624799
- Remove references to ovirt-logrotate.conf rhbz#578499

* Wed Aug 18 2010 Mike Burns <mburns@redhat.com> 1.9.3-8.gitb16b938
- Include common-el6.ks in ovirt-node-tools package rhbz#622939
- Include common-minimizer.ks in ovirt-node-tools package rhbz#622939
- fix manual_input option for storage configuration rhbz#623782
- fix installation to dirty storage rhbz#623783
- backup entry not included in grub.conf rhbz#624741
- add missing scsi modules to fix booting issues rhbz#624781
- Cleanup boot menus rhbz#624799

* Tue Aug 10 2010 Mike Burns <mburns@redhat.com> 1.9.3-7.4.gitc41536c
- fix hang in ovirt-early on boot rhbz#621401
- prevent ovirt-firstboot from appearing every boot rhbz#621403
- Add new splash screen rhbz#622483
- Update makefile to include common-minimizer in ovirt-node-tools rhbz#622939
- Include common-el6.ks in ovirt-node-tools package rhbz#622939

* Wed Aug 04 2010 Alan Pevec <apevec@redhat.com> 1.9.3-6.3.gitc41536c
- add SNMPv3 support rhbz#614870
- add rhn_* boot parameters rhbz#607503
- fix race condition in partitioning rhbz#613698

* Thu Jul 29 2010 Alan Pevec <apevec@redhat.com> 1.9.3-5.git3a9e2d0
- preferred_names in lvm.conf not setup correctly rhbz#613679
- log_only: command not found rhbz#613673
- can not disable unwanted network interfaces rhbz#614195
- add rhn-virtualization rhbz#607503
- add net-snmp rhbz#614870
- complete blacklist with image-minimizer rhbz#616119
- add RHEV logo on boot screen rhbz#537167

* Wed Jul 14 2010 Alan Pevec <apevec@redhat.com> 1.9.3-4.gitf53c39c
- kdump support rhbz#578501
- do not allow persisting top-level folders rhbz#597218
- bugfixes 610171 605358 610180

* Wed Jun 30 2010 Alan Pevec <apevec@redhat.com> 1.9.3-3.gitd5f8007
- RHN registration rhbz#607503
- restrict in-place upgrade to minor releases rhbz#588267
- add vhostmd rhbz#588852
- provide CPE name rhbz#592425
- remove rpmdb from the image rhbz#596718
- add license manifest rhbz#601927
- fix startup issues rhbz#602444 rhbz#599014 rhbz#599199
- remove libvirt users prompt rhbz#602448
- remove unneeded services rhbz#586535 rhbz#586536 rhbz#586541
- fix auditd startup errors rhbz#586539
- fix read-only root rhbz#586547 rhbz#602719
- fix image installation rhbz#586548
- add sysfsutils package rhbz#599708
- fix IP address validation rhbz#602445
- disable password authentication by default rhbz#602446
- update ext3 filesystems to ext4 rhbz#606969

* Wed May 26 2010 Alan Pevec <apevec@redhat.com> 1.9.3-1.git988d065
- rebase to latest upstrem/rhel6-devel branch for RHEV-H 6.0 rhbz#586983

* Tue Apr 06 2010 Darryl L. Pierce <dpierce@redhat.com> - 1.9.2-1
- Updated autoconf environment.
- Allow persistence of empty configuration files.

* Wed Mar 24 2010 Darryl L. Pierce <dpierce@redhat.com> - 1.9.1-1
- Update ovirt-process-config to fail configs that are missing the field name or value.
- Updated build system will use Fedora 13 as the rawhide repo.
- Fixed ovirt-config-networking to not report success when network start fails.
- Reboot hangs on /etc [FIXED].
- Multipath translation performance improvements.
- Cleanup ROOTDRIVE when partitioning.
- Fix hang when cleaning dirty storage.
- The order of the oVirt SysVInit scripts has been changed.
-   ovirt-early -> ovirt-awake -> ovirt -> ovirt-post
- Fixes to the SysVINit scripts to name lifecycle methods propery.
- Added psmisc package.
- Added default KEYTAB_FILE name to /etc/sysconfig/node-config.
- Fixes to the persist and unpersist commands to handle already persisted files and directories.
- Duplicate NTP/DNS entries are rejected during network setup.

* Fri Mar 19 2010 Alan Pevec <apevec@redhat.com> 1.9.0-0.4
- remove conflicts with redhat-release

* Wed Mar 03 2010 Alan Pevec <apevec@redhat.com> 1.9.0-0.1
- Initial build for RHEL-6

* Wed Feb 10 2010 David Huff <dhuff@redhat.com> - 1.9.0
- New build
